# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "moq-sub"
version = "0.4.1"
authors = []
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Media over QUIC"
readme = "README.md"
keywords = [
    "quic",
    "http3",
    "webtransport",
    "media",
    "live",
]
categories = [
    "multimedia",
    "network-programming",
    "web-programming",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/englishm/moq-rs"

[lib]
name = "moq_sub"
path = "src/lib.rs"

[[bin]]
name = "moq-sub"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"
features = ["backtrace"]

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.env_logger]
version = "0.11"

[dependencies.log]
version = "0.4"
features = ["std"]

[dependencies.moq-catalog]
version = "0.2"

[dependencies.moq-native-ietf]
version = "0.7"

[dependencies.moq-transport]
version = "0.12"

[dependencies.mp4]
version = "0.14"

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"

[dependencies.url]
version = "2"
